DragonFly BSD
DragonFly bugs List (threaded) for 2005-02
[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]

Re: 'make upgrade' deletes /usr/bin/perl5

To: walt <wa1ter@xxxxxxxxxxxxx>
From: "Erik P. Skaalerud" <erik@xxxxxxxxxxxx>
Date: Wed, 02 Feb 2005 03:14:05 +0100

walt wrote:
I filed a bug report with gnome.org suggesting the change to the
glib configure script, but I'm not holding my breath ;o)

I just got this response to my bug report: =============================================== Do you expect gtk-doc to work out-of-the-box with perl6?

Back when this configure.in check was originally written, perl=perl4
perl5=perl5 was quite common, admittedly probably rare now.

What they mean is "If your system only has /usr/bin/perl, what happends then if you have one application that needs perl5 and another one that needs perl6?".. etc

As a follow-up to this discussion, there looks like there are more apps depending on /usr/bin/perl5. Also, the FreeBSD perl5.8 port installs a perl5 symlink, so I really dont see _why_ we have to remove that symlink.

Its causing more trouble than pleasure.

- Erik

[Date Prev][Date Next]  [Thread Prev][Thread Next]  [Date Index][Thread Index]